org.bootchart.renderer

## Class CSSInliner

- java.lang.Object
- - org.bootchart.renderer.CSSInliner

-     public class CSSInliner
      extends java.lang.Object

  CSSInliner enables inlining of a CSS file into an SVG document. It is used as a workaround for SVG renderers which do not support CSS (e.g. ksvg). Note that the CSS parser and inliner are very simple and will only work for class properties without any cascading.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSSInliner()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `inline(java.lang.String svg, java.io.File cssFile)` Parses the specified CSS file and inlines all style properties in the SVG content string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSInliner

          public CSSInliner()

  - ### Method Detail

    - #### inline

          public static java.lang.String inline(java.lang.String svg,
                                                java.io.File cssFile)
                                         throws java.io.FileNotFoundException,
                                                java.io.IOException

      Parses the specified CSS file and inlines all style properties in the SVG content string.
      Parameters:
        `svg` - SVG contents
        `cssFile` - CSS file to inline
      Returns:
        the SVG contents with inlines style
      Throws:
        `java.io.FileNotFoundException` - if the CSS file cannot be found
        `java.io.IOException` - if an I/O error occurs